---
# systemd.yml tasks

- name: home - create config dir
  file: 
    path: "{{ ansible_env.HOME }}/.config"
    state: directory

- name: systemd - config files
  copy: 
    src: "{{ item.src }}"
    dest: "{{ item.dest }}"
  become: True
  with_items:
  - {src: "files/search_caps.service", dest: "/etc/systemd/system/search_caps.service"}
  - {src: "files/fbatt.service", dest: "/etc/systemd/system/fbatt.service"}

- name: systemd - enable keyboard mapping fix on startup
  systemd:
    name: "{{ item }}"
    enabled: yes
    daemon_reload: yes
  become: True
  with_items:
  - search_caps
  - fbatt
